#
# spec file for package perl-Types-Serialiser
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Types-Serialiser
Version:        1.01
Release:        1.19
#Upstream: CHECK(Artistic-1.0 or GPL-1.0-or-later)
%define cpan_name Types-Serialiser
Summary:        Simple data types for common serialisation formats
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(common::sense)
Requires:       perl(common::sense)
%{perl_requires}

%description
This module provides some extra datatypes that are used by common
serialisation formats such as JSON or CBOR. The idea is to have a
repository of simple/small constants and containers that can be shared by
different implementations so they become interoperable between each other.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license COPYING

%changelog
* Tue Dec  1 2020 Tina Müller <tina.mueller@suse.com>
- Add license to cpanspec.yml (no license in Makefile.PL, META.(yml|json),
  pod and no LICENSE file)
* Tue Dec  1 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.01
  see /usr/share/doc/packages/perl-Types-Serialiser/Changes
  1.01 Tue Dec  1 02:46:33 CET 2020
  - implement Types::Serialiser::as_bool.
  - slight doc tweaks.
* Tue May 27 2014 ncutler@suse.com
- checked license
- updated to 1.0
  - clarify that the second arg of FEEZE/THAW is the data
    model/data format name, not the serialsier.
  - clarify that FREEZE must not modify the data structure
    to be serialised.
* Tue Nov 26 2013 coolo@suse.com
- initial package 0.03
  * created by cpanspec 1.78.07
